## Script (Python) "getStudentInfo"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=student_id=None
##title=
##
# $Id: getAccommodationInfo.py 1100 2006-12-20 09:23:40Z joachim $
"""
return Info about the current Student
"""
import logging
logger = logging.getLogger('Student.Accommodation.Info')
import DateTime

request = context.REQUEST
mtool = context.portal_membership
wf = context.portal_workflow
member = mtool.getAuthenticatedMember()
member_id = str(member)
path_info = request.get('PATH_INFO').split('/')

if mtool.isAnonymousUser():
    return None
info = {}
if student_id is None:
    requested_id = context.getStudentId()
    if requested_id and not context.isStaff() and member_id != requested_id:
        logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
        return None
    elif context.isStaff():
        student_id = requested_id
    else:
        student_id = member_id

res = context.students_catalog(id=student_id)
if len(res) != 1:
    logger.info('"%s","not found in students_catalog"')
    return None
ekehuan_certificates = ('BARTAPG',
                        'BARTAPM',
                        'BARTCER',
                        'BARTFAA',
                        'BARTFAP',
                        'BARTSCP',
                        'BARTTXT',
                        'BARTMAS',
                        'BARTTHR',
                        )

s_brain = res[0]
students_object = context.portal_url.getPortalObject().campus.students
student = getattr(students_object, student_id)
info['id'] = student_id
info['student'] = student
info['review_state'] = wf.getInfoFor(student,'review_state',None)
acco_id = 'accommodation_2006'
acco = getattr(student,acco_id,None)
info['acco'] = acco
info['acco_id'] = acco_id
if acco is not None:
    info['acco_doc'] = acco.getContent()
    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
d = {}
bt = 'fr'
d['sex'] = 'male'
if s_brain.sex:
    d['sex'] = 'female'
if s_brain.course in ekehuan_certificates:
    bt += "_ekenhuan"
d['bt'] = bt
#from Products.zdb import set_trace
#set_trace()
student_status = "%(sex)s_%(bt)s" % d 
info['student_status'] = student_status
return info
